> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bond issuer list



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/Bond/GetBondIssuerList
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Bond/GetBondIssuerList:
    get:
      tags:
        - Bond
      summary: Get bond issuer list
      operationId: GetBondIssuerList
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetBondIssuerListResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetBondIssuerListResponse:
      example:
        bond_issuer_details:
          - debt_types:
              - debt_types
              - debt_types
            ticker: ticker
            country_of_incorporation: country_of_incorporation
            country_of_risk: country_of_risk
            morning_star_industry: morning_star_industry
            morning_star_industry_group: morning_star_industry_group
            issuer_id: issuer_id
            country_code: country_code
            region_of_risk: region_of_risk
            country_of_domicile: country_of_domicile
            name: name
            provider_id: provider_id
            region_of_domicile: region_of_domicile
            sector: sector
            currencies:
              - currencies
              - currencies
            region_of_incorporation: region_of_incorporation
          - debt_types:
              - debt_types
              - debt_types
            ticker: ticker
            country_of_incorporation: country_of_incorporation
            country_of_risk: country_of_risk
            morning_star_industry: morning_star_industry
            morning_star_industry_group: morning_star_industry_group
            issuer_id: issuer_id
            country_code: country_code
            region_of_risk: region_of_risk
            country_of_domicile: country_of_domicile
            name: name
            provider_id: provider_id
            region_of_domicile: region_of_domicile
            sector: sector
            currencies:
              - currencies
              - currencies
            region_of_incorporation: region_of_incorporation
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        bond_issuer_details:
          items:
            $ref: '#/components/schemas/BondIssuerDetails'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetBondIssuerListResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondIssuerDetails:
      example:
        debt_types:
          - debt_types
          - debt_types
        ticker: ticker
        country_of_incorporation: country_of_incorporation
        country_of_risk: country_of_risk
        morning_star_industry: morning_star_industry
        morning_star_industry_group: morning_star_industry_group
        issuer_id: issuer_id
        country_code: country_code
        region_of_risk: region_of_risk
        country_of_domicile: country_of_domicile
        name: name
        provider_id: provider_id
        region_of_domicile: region_of_domicile
        sector: sector
        currencies:
          - currencies
          - currencies
        region_of_incorporation: region_of_incorporation
      properties:
        issuer_id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        ticker:
          nullable: true
          type: string
        currencies:
          items:
            type: string
          nullable: true
          type: array
        debt_types:
          items:
            type: string
          nullable: true
          type: array
        morning_star_industry:
          nullable: true
          type: string
        morning_star_industry_group:
          nullable: true
          type: string
        region_of_incorporation:
          nullable: true
          type: string
        sector:
          nullable: true
          type: string
        country_code:
          nullable: true
          type: string
        country_of_domicile:
          nullable: true
          type: string
        region_of_domicile:
          nullable: true
          type: string
        country_of_incorporation:
          nullable: true
          type: string
        region_of_risk:
          nullable: true
          type: string
        country_of_risk:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.BondIssuerDetails,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````